package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintProbabilityScale;

public interface MaintProbabilityScaleService {
	
	void createMaintProbabilityScale(MaintProbabilityScale maintProbabilityScale)throws Exception;
	
	void updateMaintProbabilityScale(MaintProbabilityScale maintProbabilityScale);
	
	MaintProbabilityScale getProbabilityByProbabiltyCodeAndProbabilityOfType(Integer legalEntityCode,String probabilityCode,
			String probabilityOfType,String status);
	
	List<MaintProbabilityScale> getProbabilityByProbabilityOfType(Integer legalEntityCode ,String probabilityOfType);
	
	DataTableResponse getAllMaintProbabilityScale(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);
	
	Boolean isMaintProbabilityScale(Integer legalEntityCode, String probabilityCode, String probabilityOfType);
	
	Boolean validateScore(MaintProbabilityScale maintProbabilityScale);
	
	List<MaintProbabilityScale> getMaintProbabilityScale(Integer legalEntityCode);

}
